NotImplementedException (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.exception

## Class NotImplementedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tv.amwa.maj.exception.NotImplementedException

- All Implemented Interfaces:
    Serializable, MAJException, NewForMAJ

      public class NotImplementedException
      extends RuntimeException
      implements MAJException, NewForMAJ

  Thrown when a method is called that is not implemented in the MAJ API. The method will have been provided to help with the porting of applications from the existing reference implementation and the documentation of the method will provide a suitable alternative.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotImplementedException()` Create a new not implemented exception with no message.
    `NotImplementedException(String msg)` Create a new not implemented exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotImplementedException

          public NotImplementedException(String msg)

      Create a new not implemented exception with the given descriptive message.

      Parameters:
        `msg` - Message describing the exception.

    - #### NotImplementedException

          public NotImplementedException()

      Create a new not implemented exception with no message.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.